> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List LKS plans

> Lists bare metal plans available to LKS with per-site capacity for a node pool.
`attributes.regions.locations.in_stock_count` gives the number of servers a node pool can get, keyed by site slug.




## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples get /plans/lks
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Baselines (Preview)
    description: >-
      Preview. Available to teams with the `baselines_api` feature flag. The
      shape of these endpoints may change before general availability.
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Managed Databases
    description: Managed database instances (PostgreSQL, ClickHouse)
  - name: Kubernetes Clusters
  - name: LKS
  - name: Marketplace apps
  - name: Operating Systems
  - name: Plans
  - name: Public Networks
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Block Storage
  - name: Filesystem Storage
  - name: Object Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
  - name: Virtual machine backups
  - name: Virtual machine restores
paths:
  /plans/lks:
    get:
      tags:
        - Plans
      summary: List LKS plans
      description: >
        Lists bare metal plans available to LKS with per-site capacity for a
        node pool.

        `attributes.regions.locations.in_stock_count` gives the number of
        servers a node pool can get, keyed by site slug.
      operationId: get-lks-plans
      responses:
        '200':
          description: Success
          content:
            application/vnd.api+json:
              examples:
                Success:
                  value:
                    data:
                      - id: plan_059EqY7kOQj8p
                        type: lks_plans
                        attributes:
                          name: m4.metal.small-42
                          slug: m4-metal-small-42
                          specs:
                            cpu:
                              type: E-2276G
                              clock: 3.8
                              cores: 6
                              count: 1
                            memory:
                              total: 32
                            drives:
                              - count: 1
                                size: 3.8TB
                                type: SSD
                            nics:
                              - count: 1
                                type: 10 Gbps
                            gpu:
                              count: 4
                              type: NVIDIA H100
                              vram_per_gpu: null
                              interconnect: null
                          regions:
                            - name: United States
                              locations:
                                available:
                                  - DAL2
                                in_stock:
                                  - DAL2
                                in_stock_count:
                                  DAL2: 5
                              stock_level: medium
                              pricing:
                                USD:
                                  hour: 10
                                  month: 50
                                  year: 100
                                BRL:
                                  hour: 53
                                  month: 108.5
                                  year: 205
              schema:
                $ref: '#/components/schemas/lks_plans'
      security:
        - Bearer: []
      x-codeSamples:
        - lang: go
          label: Go (SDK)
          source: "package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tlatitudeshgosdk \"github.com/latitudesh/latitudesh-go-sdk\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := latitudeshgosdk.New(\n        latitudeshgosdk.WithSecurity(os.Getenv(\"LATITUDESH_BEARER\")),\n    )\n\n    res, err := s.Plans.GetLksPlans(ctx)\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.LksPlans != nil {\n        // handle response\n    }\n}"
components:
  schemas:
    lks_plans:
      type: object
      properties:
        data:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                description: The ID of the plan
              type:
                type: string
                enum:
                  - lks_plans
                description: The type of the resource
              attributes:
                type: object
                properties:
                  name:
                    type: string
                    description: The name of the plan
                  slug:
                    type: string
                    description: The slug of the plan, used as the node pool plan
                  specs:
                    type: object
                    properties:
                      cpu:
                        type: object
                        properties:
                          type:
                            type: string
                            nullable: true
                          clock:
                            type: number
                            nullable: true
                          cores:
                            type: integer
                            nullable: true
                          count:
                            type: integer
                            nullable: true
                      memory:
                        type: object
                        properties:
                          total:
                            oneOf:
                              - type: integer
                              - type: string
                            nullable: true
                      drives:
                        type: array
                        items:
                          type: object
                          properties:
                            count:
                              type: integer
                              nullable: true
                            size:
                              type: string
                              nullable: true
                            type:
                              type: string
                              nullable: true
                      nics:
                        type: array
                        items:
                          type: object
                          properties:
                            count:
                              type: integer
                              nullable: true
                            type:
                              type: string
                              nullable: true
                      gpu:
                        type: object
                        properties:
                          count:
                            type: integer
                            nullable: true
                          type:
                            type: string
                            nullable: true
                          vram_per_gpu:
                            type: integer
                            nullable: true
                          interconnect:
                            type: string
                            nullable: true
                  regions:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                        locations:
                          type: object
                          properties:
                            available:
                              type: array
                              items:
                                type: string
                              description: Sites where LKS can deploy this plan
                            in_stock:
                              type: array
                              items:
                                type: string
                              description: >-
                                Sites with available capacity for an LKS node on
                                this plan
                            in_stock_count:
                              type: object
                              description: >-
                                Available servers for an LKS node keyed by site
                                slug. Only sites with stock are present.
                              additionalProperties:
                                type: integer
                              example:
                                DAL2: 4
                        stock_level:
                          type: string
                          enum:
                            - unavailable
                            - low
                            - medium
                            - high
                          description: The stock level in this region
                        pricing:
                          type: object
                          description: >-
                            Prices keyed by ISO 4217 currency code (e.g. USD,
                            BRL).
                          additionalProperties:
                            type: object
                            properties:
                              hour:
                                type: number
                                nullable: true
                              month:
                                type: number
                                nullable: true
                              year:
                                type: number
                                nullable: true
                          example:
                            USD:
                              hour: 2.18
                              month: 796
                              year: 6686
                            BRL:
                              hour: 11.99
                              month: 4376
                              year: 36758
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````